class SPK_ScriptedUserAction: ScriptedUserAction
{			
	//------------------------------------------------------------------------------------------------
	override bool CanBeShownScript(IEntity user)
	{	
		MenuManager manager = GetGame().GetMenuManager();
		
		if(manager.IsAnyMenuOpen() || manager.IsAnyDialogOpen())
			return false;
		else 
			return true;
	}
	
	//------------------------------------------------------------------------------------------------
	override bool CanBePerformedScript(IEntity user)
	{
		return true;
	}
	
	//------------------------------------------------------------------------------------------------
	override bool HasLocalEffectOnlyScript()
	{
		return true;
	}	
};

class SPK_ScriptedUserAction_UI_Test: SPK_ScriptedUserAction
{			
	//------------------------------------------------------------------------------------------------
	override void PerformAction(IEntity pOwnerEntity, IEntity pUserEntity) 
	{	
		MenuBase myMenu = GetGame().GetMenuManager().OpenDialog(ChimeraMenuPreset.SPK_myMenuUI_ID);
	}		
};